> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/72.-kysely-hae-ruudutettua-dataa-geojson-tai-geotiff-muodossa.md).

# 72. Kysely: Hae ruudutettua dataa GeoJSON- tai GeoTIFF-muodossa

Kysely ruudukoidun datan hakemiseksi datasetistä kuten "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" muodossa `GEOJSON` pisteiden kanssa tai `GEOTIFF`.&#x20;

{% hint style="danger" %}
Suositeltavaa hakea vain yksi aineisto käyttämällä `sourceDataUrl` pyyntöä kohti.&#x20;
{% endhint %}

`GEOTIFF` ja `GEOJSON` saatavilla muodossa `formaatit`.

{% hint style="danger" %}
`sourceDataUrl` linkki on käytettävissä vain **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nimi
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nimi
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(muoto: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/72.-kysely-hae-ruudutettua-dataa-geojson-tai-geotiff-muodossa.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
